PokerWorks Management API
​string · maxLength: 160​string · minLength: 1 · maxLength: 120 · required​string · enum · required​string · minLength: 1 · maxLength: 160 · required​string · minLength: 1 · maxLength: 128​string · minLength: 1 · maxLength: 128​string · enum
​string · required​string · minLength: 1 · maxLength: 120​object | null​string · enum
​string · required​integer · min: 1 · max: 100​string · enum · required
List tournaments
GET
https://api.pokerworks.io
/api/v1/management/tournaments
Create tournament
POST
https://api.pokerworks.io
/api/v1/management/tournaments
Create a tournament from an approved preset
Headers
x-idempotency-keyOptional retry key scoped to the organization, room, project, and environment. Reusing the same key with the same request returns the same tournament.
Create tournament › Request Body
namepresetKeyEnum values:
scheduled_mtt_nlhe_v1
six_max_nlhe_sng_v1
roomIdblindStructureIdpayoutStructureId​object
trustModeEnum values:
human_only
bot_only
mixed_declared
Create tournament › Responses
​object · required
Update tournament
PATCH
https://api.pokerworks.io
/api/v1/management/tournaments/{tournamentId}
Update safe draft or scheduled fields for a tournament
path Parameters
tournamentIdTournament identifier.
Update tournament › Request Body
namescheduletrustModeEnum values:
human_only
bot_only
mixed_declared
Update tournament › Responses
​object · required
List tournament entries
GET
https://api.pokerworks.io
/api/v1/management/tournaments/{tournamentId}/entries
List public-safe entries for a tournament
path Parameters
tournamentIdTournament identifier.
query Parameters
limitParameter limit.
Default: 50
List tournament entries › Responses
​object[] · required
objectEnum values:
developer_tournament_entries
​object · required
Publish tournament
POST
https://api.pokerworks.io
/api/v1/management/tournaments/{tournamentId}/publish
Cancel tournament
POST
https://api.pokerworks.io
/api/v1/management/tournaments/{tournamentId}/cancel